List Subscriptions
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriptions": [
{
"id": "sub_1ABC123DEF456GHI",
"type": "subscription",
"status": "active",
"cancelAtPeriodEndDisplay": null,
"customer": {
"id": "cus_ABC123XYZ",
"email": "customer@example.com"
},
"current_period_start": 1700000000,
"current_period_end": 1702600000,
"created": 1700000000,
"collection_method": "charge_automatically",
"cancel_at_period_end": false,
"canceled_at": null,
"product": {
"id": "prod_ABC123XYZ",
"name": "Pro Plan"
},
"automatic_tax": false,
"coupon": "",
"agents": "Agent 1, Agent 2"
}
],
"has_more": true,
"next_cursor": "sub_2DEF456GHI789JKL"
}{
"error": "An unexpected error occurred"
}Subscriptions
List Subscriptions
Retrieve a list of subscriptions for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
subscriptions
List Subscriptions
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Query Parameters
Filter subscriptions by status. Defaults to active.
Available options:
scheduled, trialing, active, incomplete, incomplete_expired, past_due, canceled, unpaid, paused Max number of subscriptions to return (1-100). Defaults to 100.
Required range:
1 <= x <= 100Pagination cursor (returns results after this ID).
⌘I
